#include "MyImageView.h"

#include <QGraphicsPixmapItem>

MyImageView::MyImageView(QWidget* parent) : QGraphicsView(parent)
{
    m_scene = new QGraphicsScene(this);

    setScene(m_scene);
    setBackgroundBrush(QBrush(QColor(0, 0, 0, 255), Qt::SolidPattern));
    setRenderHints(QPainter::Antialiasing | QPainter::SmoothPixmapTransform | QPainter::HighQualityAntialiasing);

    setViewportUpdateMode(QGraphicsView::SmartViewportUpdate);
    setTransformationAnchor(QGraphicsView::AnchorUnderMouse);
    setHorizontalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
    setVerticalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
}

void MyImageView::set(const QPixmap& pixmap)
{
    m_pixmapItem = m_scene->addPixmap(pixmap);
    m_pixmapItem->setTransformationMode(Qt::SmoothTransformation);
    m_scene->setSceneRect(pixmap.rect());
    centerOn(m_pixmapItem);
    scale(1/3., 1/3.);
}
